Constants and utility functions
libplayerc++

Helper functions when using the library. More...

## Functions

double | PlayerCc::rtod (double r)
| Convert radians to degrees.
double | PlayerCc::dtor (double r)
| Convert degrees to radians.
double | PlayerCc::normalize (double z)
| Normalize angle to domain -pi, pi.
template<typename T >
T | PlayerCc::min (T a, T b)
| Return the minimum of a, b.
template<typename T >
T | PlayerCc::max (T a, T b)
| Return the maximum of a, b.
template<typename T >
T | PlayerCc::limit (T a, T min, T max)
| Limit a value to the range of min, max.

## Variables

const int | PlayerCc::PLAYER_PORTNUM = 6665
| The default port number for PlayerClient.
const std::string | PlayerCc::PLAYER_HOSTNAME = "localhost"
| The default hostname for PlayerClient.

## Detailed Description

Helper functions when using the library.

Last updated 12 September 2005 21:38:45